# -*- coding: utf-8 -*-

from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

from django.conf.urls import url, patterns
from bda.views import SpectacleListView

urlpatterns = patterns(
    '',
    url(r'^inscription/(?P<tirage_id>\d+)$',
        'bda.views.inscription',
        name='bda-tirage-inscription'),
    url(r'^places/(?P<tirage_id>\d+)$',
        'bda.views.places',
        name="bda-places-attribuees"),
    url(r'^places/(?P<tirage_id>\d+)/places_bda.ics$',
        'bda.views.places_ics',
        name="bda-places-attribuees-ics"),
    url(r'^revente/(?P<tirage_id>\d+)$',
        'bda.views.revente',
        name='bda-revente'),
    url(r'^etat-places/(?P<tirage_id>\d+)$',
        'bda.views.etat_places',
        name='bda-etat-places'),
    url(r'^tirage/(?P<tirage_id>\d+)$', 'bda.views.tirage'),
    url(r'^spectacles/(?P<tirage_id>\d+)$',
        SpectacleListView.as_view(),
        name="bda-liste-spectacles"),
    url(r'^spectacles/(?P<tirage_id>\d+)/(?P<spectacle_id>\d+)$',
        "bda.views.spectacle",
        name="bda-spectacle"),
    url(r'^spectacles-ics/(?P<tirage_id>\d+)$',
        'bda.views.liste_spectacles_ics',
        name="bda-liste-spectacles-ics"),
    url(r'^spectacles/unpaid/(?P<tirage_id>\d+)$',
        "bda.views.unpaid",
        name="bda-unpaid"),
    url(r'^mails-rappel/(?P<spectacle_id>\d+)$', "bda.views.send_rappel"),
)
